org.apache.struts2.views.jsp

## Class TextTag

- java.lang.Object
- - javax.servlet.jsp.tagext.TagSupport
  - - javax.servlet.jsp.tagext.BodyTagSupport
    - - org.apache.struts2.views.jsp.StrutsBodyTagSupport
      - - org.apache.struts2.views.jsp.ComponentTagSupport
        - - org.apache.struts2.views.jsp.ContextBeanTag
          - - org.apache.struts2.views.jsp.TextTag

- All Implemented Interfaces:
    Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

      public class TextTag
      extends ContextBeanTag

  See Also:
    `Text`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `name`
    `protected String` | `searchValueStack` Deprecated.

    - ### Fields inherited from class org.apache.struts2.views.jsp.ComponentTagSupport

      `component`

    - ### Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport

      `bodyContent`

    - ### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

      `id, pageContext`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

      `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextTag()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Component` | `getBean(ValueStack stack, javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`
    `protected void` | `populateParams()`
    `void` | `setEscapeCsv(boolean escapeCsv)`
    `void` | `setEscapeHtml(boolean escapeHtml)`
    `void` | `setEscapeJavaScript(boolean escapeJavaScript)`
    `void` | `setEscapeXml(boolean escapeXml)`
    `void` | `setName(String name)`
    `void` | `setSearchValueStack(String searchStack)` Deprecated.

    - ### Methods inherited from class org.apache.struts2.views.jsp.ContextBeanTag

      `setVar`

    - ### Methods inherited from class org.apache.struts2.views.jsp.ComponentTagSupport

      `doEndTag, doStartTag, getComponent`

    - ### Methods inherited from class org.apache.struts2.views.jsp.StrutsBodyTagSupport

      `findString, findValue, findValue, getBody, getStack, toString`

    - ### Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport

      `doAfterBody, doInitBody, getBodyContent, getPreviousOut, release, setBodyContent`

    - ### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

      `findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

      `getParent, setPageContext, setParent`

- - ### Field Detail

    - #### name

          protected String name

    - #### searchValueStack

          @Deprecated
          protected String searchValueStack

      Deprecated.

  - ### Constructor Detail

    - #### TextTag

          public TextTag()

  - ### Method Detail

    - #### getBean

          public Component getBean(ValueStack stack,
                          javax.servlet.http.HttpServletRequest req,
                          javax.servlet.http.HttpServletResponse res)

      Specified by:
        `getBean` in class `ComponentTagSupport`

    - #### populateParams

          protected void populateParams()

      Overrides:
        `populateParams` in class `ContextBeanTag`

    - #### setName

          public void setName(String name)

    - #### setSearchValueStack

          @Deprecated
          public void setSearchValueStack(String searchStack)

      Deprecated.

    - #### setEscapeHtml

          public void setEscapeHtml(boolean escapeHtml)

    - #### setEscapeJavaScript

          public void setEscapeJavaScript(boolean escapeJavaScript)

    - #### setEscapeXml

          public void setEscapeXml(boolean escapeXml)

    - #### setEscapeCsv

          public void setEscapeCsv(boolean escapeCsv)

Copyright © 2000–2021 Apache Software Foundation. All rights reserved.